Index: c/src/ada-tests/mptests/mp05/node2/mp05_node2.adb
===================================================================
--- c/src/ada-tests/mptests/mp05/node2/mp05_node2.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp05/node2/mp05_node2.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-2007.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 with MPTEST;
 with TEST_SUPPORT;
@@ -30,5 +31,5 @@
 begin
 
-   RTEMS.TASK_CREATE(
+   RTEMS.TASKS.CREATE(
       RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
       1,
@@ -42,5 +43,5 @@
 
 
-   RTEMS.TASK_START(
+   RTEMS.TASKS.START(
       INIT_ID,
       MPTEST.INIT'ACCESS,
Index: c/src/ada-tests/mptests/mp06/mptest.adb
===================================================================
--- c/src/ada-tests/mptests/mp06/mptest.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp06/mptest.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -23,4 +23,7 @@
 with INTERFACES; use INTERFACES;
 with RTEMS;
+with RTEMS.EVENT;
+with RTEMS.TASKS;
+with RTEMS.TIMER;
 with TEST_SUPPORT;
 with TEXT_IO;
@@ -29,5 +32,4 @@
 package body MPTEST is
 
---PAGE
 --
 --  INIT
@@ -35,5 +37,5 @@
 
    procedure INIT (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       STATUS : RTEMS.STATUS_CODES;
@@ -53,5 +55,5 @@
       TEXT_IO.PUT_LINE( "Creating Test_task (Global)" );
 
-      RTEMS.TASK_CREATE( 
+      RTEMS.TASKS.CREATE( 
          MPTEST.TASK_NAME( TEST_SUPPORT.NODE ), 
          TEST_SUPPORT.NODE, 
@@ -66,5 +68,5 @@
       TEXT_IO.PUT_LINE( "Starting Test_task (Global)" );
 
-      RTEMS.TASK_START(
+      RTEMS.TASKS.START(
          MPTEST.TASK_ID( 1 ),
          MPTEST.TEST_TASK'ACCESS,
@@ -77,5 +79,5 @@
       MPTEST.TIMER_NAME( 2 ) := RTEMS.BUILD_NAME(  'T', 'M', '2', ' ' );
 
-      RTEMS.TIMER_CREATE(
+      RTEMS.TIMER.CREATE(
          MPTEST.TIMER_NAME( TEST_SUPPORT.NODE ),
          MPTEST.TIMER_ID( 1 ),
@@ -86,10 +88,9 @@
       TEXT_IO.PUT_LINE( "Deleting initialization task" );
 
-      RTEMS.TASK_DELETE( RTEMS.SELF, STATUS );
+      RTEMS.TASKS.DELETE( RTEMS.SELF, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_DELETE OF SELF" );
 
    end INIT;
 
---PAGE
 --
 --  STOP_TEST_TSR
@@ -106,5 +107,4 @@
    end STOP_TEST_TSR;
  
---PAGE
 --
 --  TEST_TASK
@@ -112,5 +112,5 @@
 
    procedure TEST_TASK (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       COUNT                    : RTEMS.UNSIGNED32;
@@ -135,5 +135,5 @@
       loop
 
-         RTEMS.TASK_IDENT( 
+         RTEMS.TASKS.IDENT( 
             MPTEST.TASK_NAME( MPTEST.REMOTE_NODE ),
             RTEMS.SEARCH_ALL_NODES,
@@ -152,5 +152,5 @@
       end if;
 
-      RTEMS.TIMER_FIRE_AFTER(
+      RTEMS.TIMER.FIRE_AFTER(
          MPTEST.TIMER_ID( 1 ),
          5 * TEST_SUPPORT.TICKS_PER_SECOND,
@@ -174,5 +174,5 @@
          if TEST_SUPPORT.NODE = 1 then
 
-            RTEMS.EVENT_SEND( 
+            RTEMS.EVENT.SEND( 
                MPTEST.REMOTE_TID,
                EVENT_FOR_THIS_ITERATION,
@@ -183,5 +183,5 @@
          else
 
-            RTEMS.EVENT_RECEIVE( 
+            RTEMS.EVENT.RECEIVE( 
                EVENT_FOR_THIS_ITERATION,
                RTEMS.DEFAULT_OPTIONS,
@@ -228,5 +228,5 @@
       if TEST_SUPPORT.NODE = 2 then
 
-         RTEMS.EVENT_RECEIVE( 
+         RTEMS.EVENT.RECEIVE( 
             RTEMS.EVENT_16,
             RTEMS.DEFAULT_OPTIONS,
Index: c/src/ada-tests/mptests/mp06/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp06/mptest.ads	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp06/mptest.ads	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,6 @@
 
 with RTEMS;
+with RTEMS.EVENT;
+with RTEMS.TASKS;
 
 package MPTEST is
@@ -115,5 +117,5 @@
 
    procedure INIT (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, INIT);
@@ -142,5 +144,5 @@
 
    procedure TEST_TASK (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, TEST_TASK);
Index: c/src/ada-tests/mptests/mp06/node1/mp06_node1.adb
===================================================================
--- c/src/ada-tests/mptests/mp06/node1/mp06_node1.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp06/node1/mp06_node1.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-2007.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 with MPTEST;
 with TEST_SUPPORT;
@@ -30,5 +31,5 @@
 begin
 
-   RTEMS.TASK_CREATE(
+   RTEMS.TASKS.CREATE(
       RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
       1,
@@ -42,5 +43,5 @@
 
 
-   RTEMS.TASK_START(
+   RTEMS.TASKS.START(
       INIT_ID,
       MPTEST.INIT'ACCESS,
Index: c/src/ada-tests/mptests/mp06/node2/mp06_node2.adb
===================================================================
--- c/src/ada-tests/mptests/mp06/node2/mp06_node2.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp06/node2/mp06_node2.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-2007.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 with MPTEST;
 with TEST_SUPPORT;
@@ -30,5 +31,5 @@
 begin
 
-   RTEMS.TASK_CREATE(
+   RTEMS.TASKS.CREATE(
       RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
       1,
@@ -42,5 +43,5 @@
 
 
-   RTEMS.TASK_START(
+   RTEMS.TASKS.START(
       INIT_ID,
       MPTEST.INIT'ACCESS,
Index: c/src/ada-tests/mptests/mp07/mptest.adb
===================================================================
--- c/src/ada-tests/mptests/mp07/mptest.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp07/mptest.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -23,4 +23,7 @@
 with INTERFACES; use INTERFACES;
 with RTEMS;
+with RTEMS.EVENT;
+with RTEMS.TASKS;
+with RTEMS.TIMER;
 with TEST_SUPPORT;
 with TEXT_IO;
@@ -29,5 +32,4 @@
 package body MPTEST is
 
---PAGE
 --
 --  INIT
@@ -35,5 +37,5 @@
 
    procedure INIT (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       STATUS : RTEMS.STATUS_CODES;
@@ -52,5 +54,5 @@
 
       TEXT_IO.PUT_LINE( "Creating Test_task (Global)" );
-      RTEMS.TASK_CREATE( 
+      RTEMS.TASKS.CREATE( 
          MPTEST.TASK_NAME( TEST_SUPPORT.NODE ), 
          TEST_SUPPORT.NODE, 
@@ -64,5 +66,5 @@
 
       TEXT_IO.PUT_LINE( "Starting Test_task (Global)" );
-      RTEMS.TASK_START(
+      RTEMS.TASKS.START(
          MPTEST.TASK_ID( 1 ),
          MPTEST.TEST_TASK'ACCESS,
@@ -74,5 +76,5 @@
       MPTEST.TIMER_NAME( 1 ) := RTEMS.BUILD_NAME(  'T', 'M', '1', ' ' );
 
-      RTEMS.TIMER_CREATE(
+      RTEMS.TIMER.CREATE(
          MPTEST.TIMER_NAME( 1 ),
          MPTEST.TIMER_ID( 1 ),
@@ -82,10 +84,9 @@
 
       TEXT_IO.PUT_LINE( "Deleting initialization task" );
-      RTEMS.TASK_DELETE( RTEMS.SELF, STATUS );
+      RTEMS.TASKS.DELETE( RTEMS.SELF, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_DELETE OF SELF" );
 
    end INIT;
 
---PAGE
 --
 --  STOP_TEST_TSR
@@ -102,5 +103,4 @@
    end STOP_TEST_TSR;
  
---PAGE
 --
 --  TEST_TASK
@@ -108,5 +108,5 @@
 
    procedure TEST_TASK (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       EVENT_OUT : RTEMS.EVENT_SET;
@@ -127,5 +127,5 @@
       TEXT_IO.PUT_LINE( "Getting TID of remote task" );
       loop
-         RTEMS.TASK_IDENT( 
+         RTEMS.TASKS.IDENT( 
             MPTEST.TASK_NAME( MPTEST.REMOTE_NODE ),
             RTEMS.SEARCH_ALL_NODES,
@@ -141,5 +141,5 @@
 
          TEXT_IO.PUT_LINE( "Sending first event to remote task" );
-         RTEMS.EVENT_SEND( 
+         RTEMS.EVENT.SEND( 
             MPTEST.REMOTE_TID,
             RTEMS.EVENT_16,
@@ -150,5 +150,5 @@
       end if;
 
-      RTEMS.TIMER_FIRE_AFTER(
+      RTEMS.TIMER.FIRE_AFTER(
          MPTEST.TIMER_ID( 1 ),
          5 * TEST_SUPPORT.TICKS_PER_SECOND,
@@ -166,5 +166,5 @@
          loop
 
-            RTEMS.EVENT_RECEIVE( 
+            RTEMS.EVENT.RECEIVE( 
                RTEMS.EVENT_16,
                RTEMS.DEFAULT_OPTIONS,
@@ -183,5 +183,5 @@
             end if;
 
-            RTEMS.EVENT_SEND( 
+            RTEMS.EVENT.SEND( 
                MPTEST.REMOTE_TID,
                RTEMS.EVENT_16,
Index: c/src/ada-tests/mptests/mp07/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp07/mptest.ads	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp07/mptest.ads	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 
 package MPTEST is
@@ -75,5 +76,5 @@
 
    procedure INIT (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, INIT);
@@ -102,5 +103,5 @@
 
    procedure TEST_TASK (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, TEST_TASK);
Index: c/src/ada-tests/mptests/mp07/node1/mp07_node1.adb
===================================================================
--- c/src/ada-tests/mptests/mp07/node1/mp07_node1.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp07/node1/mp07_node1.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-2007.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 with MPTEST;
 with TEST_SUPPORT;
@@ -30,5 +31,5 @@
 begin
 
-   RTEMS.TASK_CREATE(
+   RTEMS.TASKS.CREATE(
       RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
       1,
@@ -42,5 +43,5 @@
 
 
-   RTEMS.TASK_START(
+   RTEMS.TASKS.START(
       INIT_ID,
       MPTEST.INIT'ACCESS,
Index: c/src/ada-tests/mptests/mp07/node2/mp07_node2.adb
===================================================================
--- c/src/ada-tests/mptests/mp07/node2/mp07_node2.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp07/node2/mp07_node2.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-2007.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 with MPTEST;
 with TEST_SUPPORT;
@@ -30,5 +31,5 @@
 begin
 
-   RTEMS.TASK_CREATE(
+   RTEMS.TASKS.CREATE(
       RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
       1,
@@ -42,5 +43,5 @@
 
 
-   RTEMS.TASK_START(
+   RTEMS.TASKS.START(
       INIT_ID,
       MPTEST.INIT'ACCESS,
Index: c/src/ada-tests/mptests/mp08/mptest.adb
===================================================================
--- c/src/ada-tests/mptests/mp08/mptest.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp08/mptest.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -23,4 +23,7 @@
 with INTERFACES; use INTERFACES;
 with RTEMS;
+with RTEMS.OBJECT;
+with RTEMS.SEMAPHORE;
+with RTEMS.TASKS;
 with TEST_SUPPORT;
 with TEXT_IO;
@@ -29,5 +32,4 @@
 package body MPTEST is
 
---PAGE
 --
 --  INIT
@@ -35,5 +37,5 @@
 
    procedure INIT (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       STATUS : RTEMS.STATUS_CODES;
@@ -57,5 +59,5 @@
          TEXT_IO.PUT_LINE( "Creating Semaphore(Global)" );
 
-         RTEMS.SEMAPHORE_CREATE(
+         RTEMS.SEMAPHORE.CREATE(
             MPTEST.SEMAPHORE_NAME( 1 ),
             1,
@@ -69,5 +71,5 @@
 
       TEXT_IO.PUT_LINE( "Creating Test_task (Global)" );
-      RTEMS.TASK_CREATE( 
+      RTEMS.TASKS.CREATE( 
          MPTEST.TASK_NAME( TEST_SUPPORT.NODE ), 
          TEST_SUPPORT.NODE, 
@@ -81,5 +83,5 @@
 
       TEXT_IO.PUT_LINE( "Starting Test_task (Global)" );
-      RTEMS.TASK_START(
+      RTEMS.TASKS.START(
          MPTEST.TASK_ID( 1 ),
          MPTEST.TEST_TASK'ACCESS,
@@ -90,10 +92,9 @@
 
       TEXT_IO.PUT_LINE( "Deleting initialization task" );
-      RTEMS.TASK_DELETE( RTEMS.SELF, STATUS );
+      RTEMS.TASKS.DELETE( RTEMS.SELF, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_DELETE OF SELF" );
 
    end INIT;
 
---PAGE
 --
 --  TEST_TASK
@@ -101,5 +102,5 @@
 
    procedure TEST_TASK (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       DOTS                     : RTEMS.UNSIGNED32;
@@ -111,5 +112,5 @@
       loop
 
-         RTEMS.SEMAPHORE_IDENT( 
+         RTEMS.SEMAPHORE.IDENT( 
             MPTEST.SEMAPHORE_NAME( 1 ),
             RTEMS.SEARCH_ALL_NODES,
@@ -124,5 +125,5 @@
       if TEST_SUPPORT.NODE = 2 then
 
-         RTEMS.SEMAPHORE_DELETE(
+         RTEMS.SEMAPHORE.DELETE(
             MPTEST.SEMAPHORE_ID( 1 ),
             STATUS
@@ -146,5 +147,5 @@
          TEST_SUPPORT.PUT_DOT( "p" );
 
-         RTEMS.SEMAPHORE_OBTAIN(
+         RTEMS.SEMAPHORE.OBTAIN(
             MPTEST.SEMAPHORE_ID( 1 ),
             RTEMS.DEFAULT_OPTIONS,
@@ -176,5 +177,5 @@
             COUNT >= 1000 then
 
-            RTEMS.TASK_WAKE_AFTER( TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
+            RTEMS.TASKS.WAKE_AFTER( TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
             TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_WAKE_AFTER" );
 
@@ -183,5 +184,5 @@
             TEXT_IO.PUT_LINE( "Deleting global semaphore" );
 
-            RTEMS.SEMAPHORE_DELETE( MPTEST.SEMAPHORE_ID( 1 ), STATUS );
+            RTEMS.SEMAPHORE.DELETE( MPTEST.SEMAPHORE_ID( 1 ), STATUS );
             TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "SEMAPHORE_DELETE" );
 
@@ -194,5 +195,5 @@
          TEST_SUPPORT.PUT_DOT( "v" );
 
-         RTEMS.SEMAPHORE_RELEASE( MPTEST.SEMAPHORE_ID( 1 ), STATUS );
+         RTEMS.SEMAPHORE.RELEASE( MPTEST.SEMAPHORE_ID( 1 ), STATUS );
 
          TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "SEMAPHORE_RELEASE" );
Index: c/src/ada-tests/mptests/mp08/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp08/mptest.ads	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp08/mptest.ads	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 
 package MPTEST is
@@ -70,5 +71,5 @@
 
    procedure INIT (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, INIT);
@@ -83,5 +84,5 @@
 
    procedure TEST_TASK (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, TEST_TASK);
Index: c/src/ada-tests/mptests/mp08/node1/mp08_node1.adb
===================================================================
--- c/src/ada-tests/mptests/mp08/node1/mp08_node1.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp08/node1/mp08_node1.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-2007.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 with MPTEST;
 with TEST_SUPPORT;
@@ -30,5 +31,5 @@
 begin
 
-   RTEMS.TASK_CREATE(
+   RTEMS.TASKS.CREATE(
       RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
       1,
@@ -42,5 +43,5 @@
 
 
-   RTEMS.TASK_START(
+   RTEMS.TASKS.START(
       INIT_ID,
       MPTEST.INIT'ACCESS,
Index: c/src/ada-tests/mptests/mp08/node2/mp08_node2.adb
===================================================================
--- c/src/ada-tests/mptests/mp08/node2/mp08_node2.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp08/node2/mp08_node2.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-2007.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 with MPTEST;
 with TEST_SUPPORT;
@@ -30,5 +31,5 @@
 begin
 
-   RTEMS.TASK_CREATE(
+   RTEMS.TASKS.CREATE(
       RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
       1,
@@ -42,5 +43,5 @@
 
 
-   RTEMS.TASK_START(
+   RTEMS.TASKS.START(
       INIT_ID,
       MPTEST.INIT'ACCESS,
Index: c/src/ada-tests/mptests/mp09/mptest.adb
===================================================================
--- c/src/ada-tests/mptests/mp09/mptest.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp09/mptest.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -23,4 +23,7 @@
 with INTERFACES; use INTERFACES;
 with RTEMS;
+with RTEMS.MESSAGE_QUEUE;
+with RTEMS.OBJECT;
+with RTEMS.TASKS;
 with TEST_SUPPORT;
 with TEXT_IO;
@@ -29,5 +32,4 @@
 package body MPTEST is
 
---PAGE
 --
 --  INIT
@@ -35,5 +37,5 @@
 
    procedure INIT (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       STATUS : RTEMS.STATUS_CODES;
@@ -76,5 +78,5 @@
 
          TEXT_IO.PUT_LINE( "Creating Message Queue (Global)" );
-         RTEMS.MESSAGE_QUEUE_CREATE(
+         RTEMS.MESSAGE_QUEUE.CREATE(
             MPTEST.QUEUE_NAME( 1 ),
             3,
@@ -88,5 +90,5 @@
 
       TEXT_IO.PUT_LINE( "Creating Test_task (local)" );
-      RTEMS.TASK_CREATE(
+      RTEMS.TASKS.CREATE(
          MPTEST.TASK_NAME( TEST_SUPPORT.NODE ),
          TEST_SUPPORT.NODE,
@@ -100,5 +102,5 @@
 
       TEXT_IO.PUT_LINE( "Starting Test_task (local)" );
-      RTEMS.TASK_START(
+      RTEMS.TASKS.START(
          MPTEST.TASK_ID( 1 ),
          MPTEST.TEST_TASK'ACCESS,
@@ -109,10 +111,9 @@
 
       TEXT_IO.PUT_LINE( "Deleting initialization task" );
-      RTEMS.TASK_DELETE( RTEMS.SELF, STATUS );
+      RTEMS.TASKS.DELETE( RTEMS.SELF, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_DELETE OF SELF" );
 
    end INIT;
 
---PAGE
 --
 --  SEND_MESSAGES
@@ -128,5 +129,5 @@
       TEXT_IO.NEW_LINE;
 
-      RTEMS.MESSAGE_QUEUE_SEND(
+      RTEMS.MESSAGE_QUEUE.SEND(
          MPTEST.QUEUE_ID( 1 ),
          MPTEST.BUFFER_1,
@@ -136,5 +137,5 @@
 
       TEXT_IO.PUT_LINE( "Delaying for a second" );
-      RTEMS.TASK_WAKE_AFTER(
+      RTEMS.TASKS.WAKE_AFTER(
          1 * TEST_SUPPORT.TICKS_PER_SECOND,
          STATUS
@@ -146,5 +147,5 @@
       TEXT_IO.NEW_LINE;
 
-      RTEMS.MESSAGE_QUEUE_URGENT(
+      RTEMS.MESSAGE_QUEUE.URGENT(
          MPTEST.QUEUE_ID( 1 ),
          MPTEST.BUFFER_2,
@@ -154,5 +155,5 @@
 
       TEXT_IO.PUT_LINE( "Delaying for a second" );
-      RTEMS.TASK_WAKE_AFTER(
+      RTEMS.TASKS.WAKE_AFTER(
          1 * TEST_SUPPORT.TICKS_PER_SECOND,
          STATUS
@@ -164,5 +165,5 @@
       TEXT_IO.NEW_LINE;
 
-      RTEMS.MESSAGE_QUEUE_BROADCAST(
+      RTEMS.MESSAGE_QUEUE.BROADCAST(
          MPTEST.QUEUE_ID( 1 ),
          MPTEST.BUFFER_3,
@@ -173,5 +174,5 @@
 
       TEXT_IO.PUT_LINE( "Delaying for a second" );
-      RTEMS.TASK_WAKE_AFTER(
+      RTEMS.TASKS.WAKE_AFTER(
          1 * TEST_SUPPORT.TICKS_PER_SECOND,
          STATUS
@@ -181,5 +182,4 @@
    end SEND_MESSAGES;
 
---PAGE
 --
 --  RECEIVE_MESSAGES
@@ -195,5 +195,5 @@
 
          TEXT_IO.PUT_LINE( "Receiving message ..." );
-         RTEMS.MESSAGE_QUEUE_RECEIVE(
+         RTEMS.MESSAGE_QUEUE.RECEIVE(
             MPTEST.QUEUE_ID( 1 ),
             MPTEST.RECEIVE_BUFFER,
@@ -212,10 +212,9 @@
       TEXT_IO.PUT_LINE( "Receiver delaying for a second" );
 
-      RTEMS.TASK_WAKE_AFTER( 1 * TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
+      RTEMS.TASKS.WAKE_AFTER( 1 * TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_WAKE_AFTER" );
 
    end RECEIVE_MESSAGES;
 
---PAGE
 --
 --  FILL_BUFFER
@@ -244,5 +243,4 @@
    end FILL_BUFFER;
 
---PAGE
 --
 --  PUT_BUFFER
@@ -265,5 +263,4 @@
    end PUT_BUFFER;
 
---PAGE
 --
 --  TEST_TASK
@@ -271,5 +268,5 @@
 
    procedure TEST_TASK (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       COUNT   : RTEMS.UNSIGNED32;
@@ -277,5 +274,5 @@
    begin
 
-      RTEMS.TASK_WAKE_AFTER( 1 * TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
+      RTEMS.TASKS.WAKE_AFTER( 1 * TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_WAKE_AFTER" );
 
@@ -284,5 +281,5 @@
       loop
 
-         RTEMS.MESSAGE_QUEUE_IDENT(
+         RTEMS.MESSAGE_QUEUE.IDENT(
             MPTEST.QUEUE_NAME( 1 ),
             RTEMS.SEARCH_ALL_NODES,
@@ -297,5 +294,5 @@
       if TEST_SUPPORT.NODE = 2 then
 
-         RTEMS.MESSAGE_QUEUE_DELETE( MPTEST.QUEUE_ID( 1 ), STATUS );
+         RTEMS.MESSAGE_QUEUE.DELETE( MPTEST.QUEUE_ID( 1 ), STATUS );
 
          TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
@@ -314,5 +311,5 @@
 
          TEXT_IO.PUT_LINE( "Flushing remote empty queue" );
-         RTEMS.MESSAGE_QUEUE_FLUSH( MPTEST.QUEUE_ID( 1 ), COUNT, STATUS );
+         RTEMS.MESSAGE_QUEUE.FLUSH( MPTEST.QUEUE_ID( 1 ), COUNT, STATUS );
          TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "MESSAGE_QUEUE_FLUSH" );
          UNSIGNED32_IO.PUT( COUNT, WIDTH => 1 );
@@ -324,5 +321,5 @@
             "Send messages to be flushed from remote queue"
          );
-         RTEMS.MESSAGE_QUEUE_SEND(
+         RTEMS.MESSAGE_QUEUE.SEND(
             MPTEST.QUEUE_ID( 1 ),
             MPTEST.BUFFER_1,
@@ -332,5 +329,5 @@
 
          TEXT_IO.PUT_LINE( "Flushing remote queue" );
-         RTEMS.MESSAGE_QUEUE_FLUSH( MPTEST.QUEUE_ID( 1 ), COUNT, STATUS );
+         RTEMS.MESSAGE_QUEUE.FLUSH( MPTEST.QUEUE_ID( 1 ), COUNT, STATUS );
          TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "MESSAGE_QUEUE_FLUSH" );
          UNSIGNED32_IO.PUT( COUNT, WIDTH => 1 );
@@ -340,5 +337,5 @@
 
          TEXT_IO.PUT_LINE( "Waiting for message queue to be deleted" );
-         RTEMS.MESSAGE_QUEUE_RECEIVE(
+         RTEMS.MESSAGE_QUEUE.RECEIVE(
             MPTEST.QUEUE_ID( 1 ),
             MPTEST.RECEIVE_BUFFER,
@@ -359,5 +356,5 @@
          MPTEST.SEND_MESSAGES;
 
-         RTEMS.TASK_WAKE_AFTER(
+         RTEMS.TASKS.WAKE_AFTER(
             5 * TEST_SUPPORT.TICKS_PER_SECOND,
             STATUS
@@ -365,5 +362,5 @@
          TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_WAKE_AFTER" );
 
-         RTEMS.MESSAGE_QUEUE_DELETE( MPTEST.QUEUE_ID( 1 ), STATUS );
+         RTEMS.MESSAGE_QUEUE.DELETE( MPTEST.QUEUE_ID( 1 ), STATUS );
          TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "MESSAGE_QUEUE_DELETE" );
 
Index: c/src/ada-tests/mptests/mp09/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp09/mptest.ads	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp09/mptest.ads	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 
 package MPTEST is
@@ -87,5 +88,5 @@
 
    procedure INIT (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, INIT);
@@ -145,5 +146,5 @@
 
    procedure TEST_TASK (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, TEST_TASK);
Index: c/src/ada-tests/mptests/mp09/node1/mp09_node1.adb
===================================================================
--- c/src/ada-tests/mptests/mp09/node1/mp09_node1.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp09/node1/mp09_node1.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-2007.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 with MPTEST;
 with TEST_SUPPORT;
@@ -30,5 +31,5 @@
 begin
 
-   RTEMS.TASK_CREATE(
+   RTEMS.TASKS.CREATE(
       RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
       1,
@@ -42,5 +43,5 @@
 
 
-   RTEMS.TASK_START(
+   RTEMS.TASKS.START(
       INIT_ID,
       MPTEST.INIT'ACCESS,
Index: c/src/ada-tests/mptests/mp09/node2/mp09_node2.adb
===================================================================
--- c/src/ada-tests/mptests/mp09/node2/mp09_node2.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp09/node2/mp09_node2.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-2007.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 with MPTEST;
 with TEST_SUPPORT;
@@ -30,5 +31,5 @@
 begin
 
-   RTEMS.TASK_CREATE(
+   RTEMS.TASKS.CREATE(
       RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
       1,
@@ -42,5 +43,5 @@
 
 
-   RTEMS.TASK_START(
+   RTEMS.TASKS.START(
       INIT_ID,
       MPTEST.INIT'ACCESS,
